protected/models/Dataset.php
<?php
Yii::import('application.extensions.CAdvancedArBehavior');

use Ramsey\Uuid\Uuid;

class Dataset extends CActiveRecord
{
    /**
     * Returns the static model of the specified AR class.
     * @param string $className active record class name.
     * @return Dataset the static model class
     */

    const NAMESPACE = "http://gigadb.org/namespaces/dataset";

    const DATASET_PRIVATE = 'Private';

    const URL_RIS = 'http://data.datacite.org/application/x-research-info-systems/10.5524/';
    const URL_BIBTEXT = 'http://data.datacite.org/application/x-bibtex/10.5524/';
    const URL_TEXT = 'http://data.datacite.org/application/x-datacite+text/10.5524/';

    // Directory names representing ranges of dataset DOIs
    const RANGES = ['104001_105000', '103001_104000', '102001_103000', '101001_102000', '100001_101000'];

    public $dTypes="";
    public $commonNames="";
    public $email;
    public $union;
    public $types;

    public const ORIGINAL_UPLOAD_STATUS_LIST = [
        'ImportFromEM'=>'ImportFromEM',
        'UserStartedIncomplete'=>'UserStartedIncomplete',
        'Rejected'=>'Rejected',
        'Not required'=>'Not required',
        'Submitted'=>'Submitted',
        'Curation'=>'Curation',
        'AuthorReview'=>'AuthorReview',
        'Private'=>'Private',
        'Published' =>'Published',
    ];

    public const FUW_UPLOAD_STATUS_LIST = [
        'AssigningFTPbox'=>'AssigningFTPbox',
        'UserUploadingData'=>'UserUploadingData',
        'DataAvailableForReview'=>'DataAvailableForReview',
        'DataPending'=>'DataPending',
    ];

    /*
     * List of Many To Many RelationShip
     */

    public $new_ext_acc_mirror;
    public $new_ext_acc_link;

#    public $projectIDs = array();
#    public $authorIDs = array();
#    public $sampleIDs = array();
#    public $datasetTypeIDs = array();

    public static function model($className=__CLASS__)
    {
        return parent::model($className);
    }

#    public function behaviors(){
#          return array( 'CAdvancedArBehavior' => array(
#                'class' => 'application.extensions.CAdvancedArBehavior'));
#    }

    /**
     * @return string the associated database table name
     */
    public function tableName()
    {
        return 'dataset';
    }

    /**
     * @return array validation rules for model attributes.
     */
    public function rules()
    {
        // NOTE: you should only define rules for those attributes that
        // will receive user inputs.
        return array(
            array('submitter_id, identifier, title, dataset_size, ftp_site', 'required'),
            array('submitter_id, image_id, publisher_id', 'numerical', 'integerOnly'=>true),
            array('dataset_size', 'numerical'),
            array('identifier', 'unique', 'message' => 'Already exists'),
            array('identifier, excelfile_md5', 'length', 'max'=>32),
            array('title', 'length', 'max'=>300),
            array('upload_status', 'length', 'max'=>45),
            array('upload_status', 'in', 'range'=>array_merge(self::ORIGINAL_UPLOAD_STATUS_LIST, self::FUW_UPLOAD_STATUS_LIST), 'message'=>'The value is not valid'),
            array('ftp_site', 'length', 'max'=>100),
            array('excelfile', 'length', 'max'=>50),
            array('description, publication_date, modification_date, image_id, fairnuse, types', 'safe'),
            // The following rule is used by search().
            // Please remove those attributes that should not be searched.
            array('id, manuscript_id, submitter_id, image_id, identifier, title, description, publisher, dataset_size, ftp_site, upload_status, excelfile, excelfile_md5, publication_date, modification_date', 'safe', 'on'=>'search'),
#            array('projectIDs , sampleIDs , authorIDs , datasetTypeIDs' , 'safe'),
        );
    }

    /**
     * @return array relational rules.
     */
    public function relations()
    {
        // NOTE: you may need to adjust the relation name and the related
        // class name for the relations automatically generated below.
        return array(
            'authors' => array(self::MANY_MANY, 'Author', 'dataset_author(dataset_id,author_id)', 'order'=>'authors.first_name ASC', ),
            'projects' => array(self::MANY_MANY, 'Project', 'dataset_project(dataset_id,project_id)'),
            'submitter' => array(self::BELONGS_TO, 'User', 'submitter_id'),
            'image' => array(self::BELONGS_TO, 'Image', 'image_id'),
            'samples' => array(self::MANY_MANY, 'Sample', 'dataset_sample(dataset_id,sample_id)', 'order' => 'samples.id DESC'),
            'externalLinks' => array(self::HAS_MANY, 'ExternalLink', 'dataset_id'),
            'datasetTypes' => array(self::MANY_MANY, 'Type', 'dataset_type(dataset_id,type_id)'),
            'files' => array(self::HAS_MANY, 'File', 'dataset_id', 'order' => 'files.id DESC'),
            'relations' => array(self::HAS_MANY, 'Relation', 'dataset_id'),
            'links' => array(self::HAS_MANY, 'Link', 'dataset_id'),
            'manuscripts' => array(self::HAS_MANY, 'Manuscript', 'dataset_id'),
            'publisher' => array(self::BELONGS_TO, 'Publisher', 'publisher_id'),
            'datasetFunders'=>array(self::HAS_MANY, 'DatasetFunder', 'dataset_id'),
            'funders' =>array(self::HAS_MANY, 'Funder', 'dataset_funder(dataset_id, funder_id)'),
            'datasetLogs'=>array(self::HAS_MANY, 'DatasetLog', 'dataset_id'),
            'datasetAttributes' => array(self::HAS_MANY, 'DatasetAttributes', 'dataset_id'),
            'attributes' => array(self::MANY_MANY, 'Attributes', 'dataset_attributes(dataset_id, attribute_id)'),
        );
    }

    public function getPolicy() {
        $att = Attributes::model()->findByAttributes(array('attribute_name'=>Attributes::FUP));
        if(!$att)
            return null;
        return DatasetAttributes::model()->findByAttributes(array('dataset_id'=>$this->id, 'attribute_id'=>$att->id));
    }

    public function getSamplesInIds($ids) {
        $crit = new CDbCriteria;
        $crit->join = "join dataset_sample ds on ds.sample_id = t.id";
        $crit->condition = "ds.dataset_id = :id";
        $crit->params = array(':id'=>$this->id);
        $crit->addInCondition("t.id", $ids);
        return Sample::model()->findAll($crit);
    }

    public function getFilesInIds($ids) {
        $crit = new CDbCriteria;
        $crit->condition = "dataset_id = :id";
        $crit->params = array(':id'=>$this->id);
        $crit->addInCondition("id", $ids);
        return File::model()->findAll($crit);
    }

    public function getPreviousDoi() {
        return Dataset::model()->find(array('condition' =>"identifier < :id and upload_status = 'Published'",
                'params'=>array(':id'=>$this->identifier),
                'order'=>'identifier desc'
        ));
    }

    public function getNextDoi() {
        return Dataset::model()->find(array('condition' =>"identifier > :id and upload_status = 'Published'",
                'params'=>array(':id'=>$this->identifier),
                'order'=>'identifier asc'
        ));
    }

    public static function clearDatasetSession() {
        $vars = array('dataset', 'images', 'authors', 'projects',
            'links', 'externalLinks', 'relations', 'samples', 'dataset_id', 'identifier', 'filecount',
            'link_database', 'isOld');
        foreach ($vars as $var) {
            unset($_SESSION[$var]);
            //    $_SESSION[$var] = CJSON::decode($dataset_session->$var);
        }

    }

    public function getAuthorNames() {

        $das = Yii::app()->db->createCommand()
            ->select('a.id')
            ->from('dataset_author')
            ->leftJoin('author a','a.id = author_id')
            ->where('dataset_id = :id', array(':id'=>$this->id))
            ->order(array('rank ASC', 'a.surname ASC', 'a.first_name ASC', 'a.middle_name ASC'))
            ->queryAll();

        $l = array();
        foreach($das as $da) {
            $author = Author::model()->findByPk($da['id']);
            $name = $author->displayName;
            $l[] = CHtml::link($name, "/search/new?keyword=$name&author_id=".$da['id'], array('class'=>'result-sub-links'));
        }
        return implode('; ', $l);
    }

    /**
     * @return array customized attribute labels (name=>label)
     */
    public function attributeLabels()
    {
        return array(
            'id' => 'ID',
            'submitter_id' => 'Submitter',
            'image_id' => 'Image',
            'identifier' => 'DOI',
            'title' => Yii::t('app' ,'Title'),
            'description' => 'Description',
            'publisher' => 'Publisher',
            'dataset_size' => 'Dataset Size',
            'ftp_site' => 'Ftp Site',
            'upload_status' => 'Upload Status',
            'excelfile' => 'Excelfile',
            'excelfile_md5' => 'Excelfile Md5',
            'publication_date' => Yii::t('app' ,'Publication Date'),
            'modification_date' => Yii::t('app' , 'Modification Date'),
            'new_image_url' => 'Image URL',
            'new_image_location' => 'Image Location',
            'fairnuse' => 'Fair Use Policy',
        );
    }

    /**
     * Retrieves a list of models based on the current search/filter conditions.
     * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
     */
    public function search()
    {
        // Warning: Please modify the following code to remove attributes that
        // should not be searched.

        $criteria=new CDbCriteria;

        $criteria->compare('id',$this->id);
        $criteria->compare('submitter_id',$this->submitter_id);
        $criteria->compare('image_id',$this->image_id);
        $criteria->compare('LOWER(identifier)',strtolower($this->identifier),true);
        $criteria->compare('LOWER(title)',strtolower($this->title),true);

protected/controllers/SearchController.php
<?php

class SearchController extends Controller
{
    public function actionEmailNewDatasets() {
        $this->render('emailNewDatasets');
    }

    public function actionEmailMatchedSearches() {
        $this->render('emailMatchedSearches');
    }

    public function actionRedirect($id){
        $criteria = SearchRecord::model()->findByPk($id);
        if($criteria==null){
            throw new CHttpException(500,'The requested record does not exist.') ;
        }else {
            $criteria=json_decode($criteria->query,true);
            $params=array();
            $params[]='search/index';
            foreach ($criteria as $key => $value) {
                if(stristr($key, "date")){
                    $params[$key]= str_replace("/", "-", $value);
                }else {
                    $params[$key]=$value;
                }

            }
            $this->redirect($params);
        }
    }

	public function actionSave() {
		$result = array();

		if (Yii::app()->user->isGuest) {
			$result['status'] = "fail";
			$result['reason'] = "You must log in to save search query";
		} else {
			$criteriaStr = $_POST['criteria'];
			$criteria = CJSON::decode($criteriaStr, true);
			if (isset($criteria['keyword']) && strlen($criteria['keyword']) > 0) {

				$search = new SearchRecord;
				$search->user_id = Yii::app()->user->_id;
				$search->name = $criteria['keyword'];
				$search->query = $_POST['criteria'];
				$search->result = $_POST['result'];

				if ($search->save()) {
					$result['status'] = "success";
				} else {
					$result['status'] = "fail";
					$result['reason'] = "Unknown Reason";
				}

			} else {
				$result['status'] = "fail";
				$result['reason'] = "Problem with search query, pls check";
			}
		}
		echo json_encode($result);
	}

	public function actionDelete() {
		$id = $_POST['id'];
		$result = array();
		$model = SearchRecord::model()->findByPk($id);
		if ($model) {
			if ($model->user_id == Yii::app()->user->getId()) {
				if ($model->delete()) {
					$result['status'] = "success";
					$result['id'] = $id;
				} else {
					$result['status'] = "fail";
					$result['reason'] = "Unknown Error occur";
				}

			} else {
				$result['status'] = "fail";
				$result['reason'] = "This record does not belongs to you";
			}

		} else {
			$result['status'] = "fail";
			$result['reason'] = "Record Not Found";

		}

		echo json_encode($result);
	}

    public function actionNew($keyword = '') {
        $this->layout="main";
        if(!$_GET['keyword']) {
            Yii::app()->user->setFlash('keyword','Keyword can not be blank');
            $this->redirect(array("/site/index"));
        }
        $ds = new DatabaseSearch();
        $offset = 0;
        $limit = Yii::app()->params['search_result_limit'];
        $page = 1;
        $data = $ds->searchByKey($keyword,"search");

        if(!Yii::app()->request->isPostRequest) {
            $datasets = $data['datasets'];
            $datasets['data'] = array_slice($datasets['data'], $offset, $limit);
            $data['datasets'] = $datasets;
            $this->render('new', $data);
        }

        else {
            try {
                $page = intVal($_POST['page']);
            }
            catch (Exception $e) {
                $page = 1;
            }


            $offset = ($page-1)*$limit;
            $datasets = $data['datasets'];
            $datasets['data'] = array_slice($datasets['data'], $offset, $limit);
            $data['datasets'] = $datasets;
            $data['page'] = $page;



            $result = $this->renderPartial('_new_result', array(
                'model' => $data['model'],
                'datasets' => $data['datasets'],
                'samples' => $data['samples'],
                'files' => $data['files'],
                'display' => $data['display']
            ), true, false);

            $filter = $this->renderPartial('_new_filter', array(
                'model' => $data['model'],
                'list_dataset_types' => $data['list_dataset_types'],
                'list_projects' => $data['list_projects'],
                'list_ext_types' => $data['list_ext_types'],
                'list_filetypes' => $data['list_filetypes'],
                'list_formats' => $data['list_formats'],
                'list_common_names' => $data['list_common_names']
            ), true, false);

            $range = $this->renderPartial('_range', array(
                            'total_dataset'=>$data['datasets']['total'],
                            'page'=>$data['page'],
                            'limit'=>$data['limit']
                        ), true, false);

            echo CJSON::encode(array('success'=>true, 'filter'=>$filter, 'result'=>$result, 'range'=>$range));
            Yii::app()->end();
        }
    }

}

protected/views/search/_author.php
<div class="tab-content">
	<?php foreach($datasets as $dataset) { ?>
	<div class="search-result-container">
		<!--Dataset section-->
		<div class="row">
			<div class="span1 logo-container"><img src="/images/icons/g.png"></div>
			<div class="span8 main-content">
				<ul class="nav nav-tabs nav-stacked result-cell">
				  <li><a data-content="<?php echo CHtml::encode($dataset->description) ?>" class="result-main-link left content-popup" href="/dataset/<?= $dataset->identifier?>"><?= $dataset->title ?></a></li>
				  <li>
				  	<strong>
				  		<?= $dataset->authorNames ?>
				  	</strong>
				  </li>
				  <li class="searchID"><?= Yii::t('app', 'DOI') ?>:<?php echo "10.5524/" . $dataset->identifier ?></li>
				</ul>
			</div>
		</div>
	</div>
	<div style="clear:both;"></div>
	<br/>
	<?php } ?>
</div>

protected/views/search/_filter.php
<h2 class="filters-title">Filter your result</h2>

<form id="filter_form" method="GET">
    <input type="hidden" name="keyword" value="<?= $model->keyword ?>" />

    <!-- FILTERS FOR DATASETS -->
    <div id="dataset_filter">
        <div class="filter">
            <button class='btn background-btn h4 heading toggle-btn js-toggle-btn' type="button" aria-expanded="true" aria-controls="result_type"><span id="filterLabelType">Filter by <?= Yii::t('app', 'Type') ?></span> <i class="fa fa-caret-up js-caret-type" aria-hidden="true"></i></button>
            <div id="result_type" class='filter-content js-filter-content' style="<?= $model->type ? 'display:block;' : 'display:none;' ?>">
                <fieldset aria-labelledby="filterLabelType">
                    <button class="btn btn-default btn-filter js-btn-filter" id="btn_type">
                        <? if (empty($model->type)) echo Yii::t('app', 'Enable All');
                        else echo Yii::t('app', 'Disable'); ?>
                    </button>
                    <div class="options <? if (empty($model->type)) echo 'disabled'; ?> ">
                        <? echo CHtml::checkBoxList(
                            "type",
                            $model->type,
                            array('dataset' => 'Dataset', 'sample' => 'Sample', 'file' => 'File'),
                            array('class' => 'type', 'template' => '<div class="filter-checkbox">{input}{label}</div>', 'separator' => '')
                        ); ?>
                    </div>
                </fieldset>
            </div>
        </div>

    </div>

    <!-- FILTERS FOR FILES -->

    <div id="file_filter">
    </div>

    <?php
    echo CHtml::submitButton(Yii::t('app', 'Apply Filter'), array('class' => 'btn background-btn filter apply-filter-btn'));
    echo CHtml::endForm();
    ?>

    <script>
        document.addEventListener("DOMContentLoaded", function(event) { //This event is fired after deferred scripts are loaded
            $(function() {
                $("#result_type").show();
                //toggle the componenet with class msg_body
                $(".js-toggle-btn").click(function() {
                    const caret = $(this).children(".js-caret-type");
                    if ($(this).attr("aria-expanded") == "true") {
                        $(this).attr("aria-expanded", "false");
                        caret.removeClass("fa-caret-up");
                        caret.addClass("fa-caret-down");
                    } else {
                        $(this).attr("aria-expanded", "true");
                        caret.removeClass("fa-caret-down");
                        caret.addClass("fa-caret-up");
                    }

                    $(this).next(".js-filter-content").slideToggle(300);
                });
            });

            submitFilter = function() {
                var action = $(this).attr("action");
                var tab = $("#filter_tab").val();
                if (tab != "" && action.indexOf("#") == -1) {
                    action = action + tab;
                }
                $(this).attr("action", action);
                $(this).submit();
                return false;
            };

            $(function() {

                $('.js-btn-filter').click(function() {
                    var action = $(this).html().trim();
                    var alt = "";
                    if ($(this).next().has("input:text").length == 0) {
                        alt = "Enable All";
                    } else {
                        alt = "Enable";
                    }

                    var status;
                    if (action == '<?= Yii::t('app', 'Disable') ?>') {
                        $(this).html(alt);
                        status = false;
                        $(this).next().addClass('disabled');
                    } else {
                        $(this).html('<?= Yii::t('app', 'Disable') ?>');
                        status = true;
                        $(this).next().removeClass('disabled');
                    }
                    $(this).next().find(':checkbox').attr('checked', status);
                    $(this).next().find(':text').attr('value', "");
                    document.forms['filter_form'].submit(submitFilter);
                    return false;
                });

                $('input:checkbox').click(function(e) {
                    var disable = true;
                    $(this).parent().children("input:checkbox").each(function(index, ele) {
                        if ($(ele).attr("checked")) {
                            $(ele).parent().parent().parent().children("button").html('<?= Yii::t('app', 'Disable') ?>');
                            $(ele).parent().parent().removeClass('disabled');
                            disable = false;
                        }
                    });
                    if (disable) {
                        $(this).parent().parent().parent().children("button").html("Enable All");
                        $(this).parent().parent().addClass('disabled');
                    }
                });
            });

            $('#filter_form').submit(submitFilter);
        });
    </script>

protected/views/search/_form.php
    <? if (Yii::app()->user->hasFlash('keyword')) { ?>
        <div>
        <?= Yii::app()->user->getFlash('keyword'); ?>
        </div>
    <? } ?>

    <?php echo CHtml::beginForm('/search/new', 'GET', array('class' => 'form', 'onsubmit' => 'return validateForm(this);', 'role' => 'search')); ?>
    <?php echo CHtml::errorSummary($model); ?>

    <div class="form-group home-search-bar-group">
        <div class="input-group search-bar-group">

            <?php

            $this->widget('application.components.DeferrableCJuiAutoComplete', array(
                'name' => 'keyword',
                //'source'=>array('ac1', 'ac2', 'ac3'),
                // 'source'=> array_values($dataset->getListTitles()),
                'source' => array_values(array()),
                // additional javascript options for the autocomplete plugin
                'options' => array(
                    'minLength' => '2',
                ),
                'htmlOptions' => array(
                    'aria-label' => 'Search GigaDB',
                    'class' => 'form-control',
                    'placeholder' => 'e.g. Chicken, brain, etc...',
                ),
            ));
            ?>

            <span class="input-group-btn">
                <button class="btn background-btn" type="submit"><i class="fa fa-search"></i> Search</button>
            </span>

        </div>
    </div>

    <!--
    <a data-toggle="modal" href="#how-to-use-advanced-search" class="hint advanced-search-hint"></a> -->

    <?php echo CHtml::endForm(); ?>
    <!--
    <div class="modal hide fade" id="how-to-use-advanced-search">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">×</button>
        <h3>Using Advanced Search</h3>
      </div>
      <div class="modal-body">
        By default, the boolean mode for keywords is AND. Parentheses may be used for grouping. Other operators include
        <p></p>
        <ul type="disc">


            <li>operator OR: <pre class="programlisting">hello | world</pre></li><li>operator NOT:
<pre class="programlisting">hello -world
hello !world</pre></li>

            <li>field search operator, used for specifying a value a field must have: @ &#60;field name&#62; &#60;value&#62;: <pre class="programlisting">@title hello @body world</pre></li>
            <li>multiple-field search operator: <pre class="programlisting">@(title,body) hello world</pre></li>
            <li>all-field search operator, to get results where any field matches the value: <pre class="programlisting">@* hello</pre></li>
            <li>phrase search operator, to get results where the exact phrase occurs : <pre class="programlisting">"hello world"</pre></li>
            <li>proximity search operator, in the example, a result would match if there are 10 words or less between 'hello' and 'world': <pre class="programlisting">"hello world"~10</pre></li>
            <li>quorum matching operator: , in the example, a result would match if there are any 3 of the 6 keywords: <pre class="programlisting">"the world is a wonderful place"/3</pre></li>
            <li>strict order operator, a result would match if the keywords occur in specified order: <pre class="programlisting">aaa &lt;&lt; bbb &lt;&lt; ccc</pre></li>
            <li>exact form modifier, disables checking for stemming. In the example, there would be no match for 'catch' which stems from 'cat', as does 'cats':<pre class="programlisting">raining =cats and =dogs</pre></li>
            <li>field-start and field-end modifier, will make the keyword match only if it occurred at the very start or the very end of a fulltext field, respectively: <pre class="programlisting">^hello world$</pre></li>
        </ul>
<br/>
<b>Advanced query example:</b>
<br/><br/>
<div class="example-contents"><pre class="programlisting"><b>"hello world" @title "example program"~5 @body python -(php|perl) @* code
</b></pre></div>

<p><br class="example-break">
The full meaning of this search is:

</p>

<div class="itemizedlist"><ul type="disc"><li>Find the words 'hello' and 'world' adjacently in any field in a document;</li><li>Additionally, the same document must also contain the words 'example' and 'program'
    in the title field, with up to, but not including, 10 words between the words in question;
    (E.g. "example PHP program" would be matched however "example script to introduce outside data
    into the correct context for your program" would not because two terms have 10 or more words between them)</li><li>Additionally, the same document must contain the word 'python' in the body field, but not contain either 'php' or 'perl';</li><li>Additionally, the same document must contain the word 'code' in any field.</li></ul></div>

      </div>
      <div class="modal-footer">
        <a href="#" class="btn" data-dismiss="modal">Close</a>
      </div>
    </div>
    -->




<script>
// function submitForm(myform){
//     var strJson= JSON.stringify($(myform).serializeObject());

//     var url=window.location.protocol+"//"+window.location.hostname+(window.location.port ? ':'+window.location.port: '')+$(myform).attr("action");

//     window.location = url+"?criteria=" + strJson;
//     return false;

// }
document.addEventListener("DOMContentLoaded", function(event) { //This event is fired after deferred scripts are loaded

    function validateForm(myform){
        if(myform.keyword.value.length==0) {
            alert("Keyword can not be blank");
            return false;
        }

        return true;

    }

    $.fn.serializeObject = function()
    {
        var o = {};
        var a = this.serializeArray();
        $.each(a, function() {
            if (o[this.name] !== undefined) {
                if (!o[this.name].push) {
                    o[this.name] = [o[this.name]];
                }
                o[this.name].push(this.value || '');
            } else {
                o[this.name] = this.value || '';
            }
        });
        return o;
    };
});
</script>

protected/views/search/_result.php
<div class="tab-content">
    <?php foreach($datasets['data'] as $dt) { ?>
    <?php $dataset = Dataset::model()->findByPk($dt); ?>
    <div class="search-result-container">
        <!--Dataset section-->
        <?php if(in_array('dataset', $display)) { ?>
        <div class="row1">
            <div class="span1 logo-container"><img src="/images/icons/G_clipart1.png"></div>
            <div class="span8 main-content">
                <ul class="nav nav-tabs nav-stacked result-cell">
                  <li><a data-content="<?php echo CHtml::encode($dataset->description) ?>" class="result-main-link left content-popup" href="/dataset/<?= $dataset->identifier?>"><?= $dataset->title ?></a></li>
                  <li>
                    <strong>
                        <?= $dataset->authorNames ?>
                    </strong>
                  </li>
                  <li class="searchID"><?= Yii::t('app', 'DOI') ?>:<?php echo "10.5524/" . $dataset->identifier ?></li>
                </ul>
            </div>
        </div>
        <?php } ?>

        <?php 
            $dsamples = $dataset->getSamplesInIds($samples['data']);
            $dfiles = $dataset->getFilesInIds($files['data']); 
        ?>

            <?php if(in_array('sample', $display)) { 
                    foreach($dsamples as $sample) { ?>
            <!--Sample section-->
            <div class="row1">
                <div class="span1 logo-container"><img src="/images/icons/S_clipart1.png"></div>
                <div class="span8 main-content">
                    <ul class="nav nav-tabs nav-stacked result-cell">
                      <li><a href="http://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?mode=Info&id=<?php echo $sample->species->tax_id ?>"><?php echo $sample->name ?></a></li>
                      <li>
                        <strong>
                            <a class="result-sub-links" href="#"><?php echo $sample->species->common_name ?></a> 
                            NCBI taxonomy : <?php echo $sample->species->tax_id ?>
                        </strong>
                      </li>
                      <li class="searchID">DOI:10.5524/<?= $sample->dataset->identifier ?></li>
                    </ul>
                </div>
            </div>
            <?php }} ?>
            <!--Download File list-->
            <?php if(in_array('file', $display)) {
                foreach($dfiles as $file) { ?>
            <div class="row1 file-container">
                <div class="span1 logo-container-file"><img src="/images/icons/F_clipart1.png"> </div>
                <div class="span3 file-name"><a href="<?php echo $file->location ?>"><?php echo strlen($file->name) > 20 ? substr($file->name, 0, 20). '...' : $file->name ?></a></div>
                <div class="span2 file-type"><?php echo $file->type->name ?></div>
                <div class="span2 file-size"><?php echo CHtml::encode($file->getSizeWithFormat()))?></div>
                <div class="span1 file-checkbox"><input type="checkbox" ></div>
            </div>
            <?php }} ?>
	</div>
		
	<div style="clear:both;"></div>	
	<br/>
	<?php } ?>	
</div>

protected/views/search/author.php
<?php //There are search results ?>

<h3 class="search-result-title">Search result for <span><i><?= $author->name ?></i></span></h3>

<div class="row" id="form_result">
    <div class="span3" id="filter">
        
    </div>

    <div class="offset3 span9 result" id="result">
        <!--<span class='pull-right'><?= Yii::t('app', 'Selected all files') ?> <input type="checkbox" class="select-all"/></span> -->
        <?php $this->renderPartial("_author", array(
            'datasets' => $datasets
        )) ?>
    </div>

</div>
<div class="row">
    <div class="span9 offset3">
        <ul id="search-pg" class="pagination-sm"></ul>
    </div>
</div>

<script>
    $(".hint").tooltip({'placement':'left'});
    $(".content-popup").popover({'placement':'right'});
    $('#myTab a').click(function (e) {
        e.preventDefault();
        $(this).tab('show');
        var rel=$(this).attr("rel");
        $(rel).show();
        if(rel=="#file_filter"){
            //window.location.hash="#result_files";
            $("#filter_tab").val("#result_files");
            $("#dataset_filter").hide();
        }else if(rel=="#dataset_filter"){
            $("#file_filter").hide();
            //window.location.hash="#result_dataset";
            $("#filter_tab").val("#result_dataset");
        }

    });

    if(window.location.hash=="#result_files"){
        $("#myTab a[href='#result_files']").tab("show");
        $("#file_filter").show();
        $("#dataset_filter").hide();

    }
</script>